Manual do PHP
Anterior |  | Próxima

# hash_init

(no version information, might be only in CVS)

hash_init -- Initialize an incremental hashing context

## Descrição

resource hash_init ( string algo [, int options, string key] )

## Parâmetros

`algo`

  Name of selected hashing algorithm (i.e. "md5", "sha256", "haval160,4", etc..)

`options`

  Optional settings for hash generation, currently supports only one option: `HASH_HMAC`. When specified, the `key` must be specified.

`key`

  When `HASH_HMAC` is specified for `options`, a shared secret key to be used with the HMAC hashing method must be supplied in this parameter.

## Valores de retornado

Returns a Hashing Context resource for use with hash_update(), hash_update_stream(), hash_update_file(), and hash_final().

## Exemplos

Exemplo 1. Incremental hashing example
`<?php $ctx = hash_init('md5'); hash_update($ctx, 'The quick brown fox '); hash_update($ctx, 'jumped over the lazy dog.'); echo hash_final($ctx); ?>`
O exemplo acima irá imprimir:
    5c6ffbdd40d9556b73a21e63c3e0e904

## Veja também

hash()
hash_file()
hash_hmac()
hash_hmac_file()

Anterior | Principal | Próxima
hash_hmac | Acima | hash_update_file